View Issue Details

IDProjectCategoryView StatusLast Update
0032961Open CASCADEOCCT:Codingpublic2022-05-08 16:17
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032961: Coding - get rid of unused headers [IGESAppli to IGESToBRep]
DescriptionThis ticket is to clear unused headers in the packages from `IGESAppli` to `IGESToBRep`.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number

Relationships

child of 0032741 newaml Coding - get rid of unused headers 

Activities

git

2022-05-04 19:06

administrator   ~0108326

Branch CR32961 has been created by aml.

SHA-1: 0a9f135672c8318af8603806f4f603d91963fc7c


Detailed log of new commits:

Author: aml
Date: Fri Jan 14 18:05:42 2022 +0300

    0032961: Coding - get rid of unused headers [IGESAppli to IGESToBRep]

aml

2022-05-05 06:30

developer   ~0108331

Dear Kirill,
Please check the CR32961 patch.

Jenkins job is:
http://jenkins-test-occt/view/CR32961-master-aml/view/ALL/

git

2022-05-08 16:17

administrator   ~0108386

Branch CR32961 has been deleted by mnt.

SHA-1: 0a9f135672c8318af8603806f4f603d91963fc7c

Related Changesets

occt: master d2c11b79

2022-01-14 18:05:42

aml


Committer: smoskvin Details Diff
0032961: Coding - get rid of unused headers [IGESAppli to IGESToBRep] Affected Issues
0032961
mod - src/IGESAppli/IGESAppli_ToolDrilledHole.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolElementResults.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFiniteElement.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFlow.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFlowLineSpec.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLevelFunction.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLevelToPWBLayerMap.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLineWidening.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalConstraint.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalDisplAndRot.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalResults.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNode.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPartNumber.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPinNumber.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPipingFlow.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPWBArtworkStackup.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPWBDrilledHole.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolReferenceDesignator.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolRegionRestriction.cxx Diff File
mod - src/IGESBasic/IGESBasic_SubfigureDef.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolAssocGroupType.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalReferenceFile.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFile.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileIndex.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefLibName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolGroup.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolGroupWithoutBackP.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolHierarchy.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolOrderedGroup.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolOrderedGroupWithoutBackP.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSingleParent.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSingularSubfigure.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSubfigureDef.cxx Diff File
mod - src/IGESCAFControl/IGESCAFControl.hxx Diff File
mod - src/IGESCAFControl/IGESCAFControl_Reader.cxx Diff File
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff File
mod - src/IGESCAFControl/IGESCAFControl_Writer.hxx Diff File
mod - src/IGESControl/IGESControl_ActorWrite.cxx Diff File
mod - src/IGESControl/IGESControl_ActorWrite.hxx Diff File
mod - src/IGESControl/IGESControl_Controller.cxx Diff File
mod - src/IGESControl/IGESControl_Controller.hxx Diff File
mod - src/IGESControl/IGESControl_IGESBoundary.cxx Diff File
mod - src/IGESControl/IGESControl_IGESBoundary.hxx Diff File
mod - src/IGESControl/IGESControl_Reader.cxx Diff File
mod - src/IGESControl/IGESControl_Reader.hxx Diff File
mod - src/IGESControl/IGESControl_Writer.cxx Diff File
mod - src/IGESControl/IGESControl_Writer.hxx Diff File
mod - src/IGESConvGeom/IGESConvGeom.cxx Diff File
mod - src/IGESConvGeom/IGESConvGeom_GeomBuilder.cxx Diff File
mod - src/IGESConvGeom/IGESConvGeom_GeomBuilder.hxx Diff File
mod - src/IGESData/IGESData.cxx Diff File
mod - src/IGESData/IGESData_BasicEditor.cxx Diff File
mod - src/IGESData/IGESData_BasicEditor.hxx Diff File
mod - src/IGESData/IGESData_ColorEntity.hxx Diff File
mod - src/IGESData/IGESData_DefaultGeneral.cxx Diff File
mod - src/IGESData/IGESData_DefaultGeneral.hxx Diff File
mod - src/IGESData/IGESData_DefaultSpecific.cxx Diff File
mod - src/IGESData/IGESData_DefaultSpecific.hxx Diff File
mod - src/IGESData/IGESData_DefSwitch.hxx Diff File
mod - src/IGESData/IGESData_DirChecker.cxx Diff File
mod - src/IGESData/IGESData_DirChecker.hxx Diff File
mod - src/IGESData/IGESData_DirPart.hxx Diff File
mod - src/IGESData/IGESData_FileRecognizer.hxx Diff File
mod - src/IGESData/IGESData_FreeFormatEntity.cxx Diff File
mod - src/IGESData/IGESData_FreeFormatEntity.hxx Diff File
mod - src/IGESData/IGESData_GeneralModule.cxx Diff File
mod - src/IGESData/IGESData_GeneralModule.hxx Diff File
mod - src/IGESData/IGESData_GlobalSection.cxx Diff File
mod - src/IGESData/IGESData_GlobalSection.hxx Diff File
mod - src/IGESData/IGESData_HArray1OfIGESEntity.hxx Diff File
mod - src/IGESData/IGESData_IGESDumper.cxx Diff File
mod - src/IGESData/IGESData_IGESEntity.cxx Diff File
mod - src/IGESData/IGESData_IGESEntity.hxx Diff File
mod - src/IGESData/IGESData_IGESModel.cxx Diff File
mod - src/IGESData/IGESData_IGESModel.hxx Diff File
mod - src/IGESData/IGESData_IGESReaderData.cxx Diff File
mod - src/IGESData/IGESData_IGESReaderData.hxx Diff File
mod - src/IGESData/IGESData_IGESReaderTool.cxx Diff File
mod - src/IGESData/IGESData_IGESReaderTool.hxx Diff File
mod - src/IGESData/IGESData_IGESType.hxx Diff File
mod - src/IGESData/IGESData_IGESWriter.cxx Diff File
mod - src/IGESData/IGESData_IGESWriter.hxx Diff File
mod - src/IGESData/IGESData_LabelDisplayEntity.hxx Diff File
mod - src/IGESData/IGESData_LevelListEntity.hxx Diff File
mod - src/IGESData/IGESData_LineFontEntity.hxx Diff File
mod - src/IGESData/IGESData_NameEntity.hxx Diff File
mod - src/IGESData/IGESData_ParamCursor.hxx Diff File
mod - src/IGESData/IGESData_ParamReader.cxx Diff File
mod - src/IGESData/IGESData_ParamReader.hxx Diff File
mod - src/IGESData/IGESData_Protocol.cxx Diff File
mod - src/IGESData/IGESData_Protocol.hxx Diff File
mod - src/IGESData/IGESData_ReadWriteModule.cxx Diff File
mod - src/IGESData/IGESData_SingleParentEntity.cxx Diff File
mod - src/IGESData/IGESData_SingleParentEntity.hxx Diff File
mod - src/IGESData/IGESData_SpecificLib.hxx Diff File
mod - src/IGESData/IGESData_SpecificModule.hxx Diff File
mod - src/IGESData/IGESData_ToolLocation.cxx Diff File
mod - src/IGESData/IGESData_ToolLocation.hxx Diff File
mod - src/IGESData/IGESData_UndefinedEntity.cxx Diff File
mod - src/IGESData/IGESData_UndefinedEntity.hxx Diff File
mod - src/IGESData/IGESData_ViewKindEntity.hxx Diff File
mod - src/IGESData/IGESData_WriterLib.hxx Diff File
mod - src/IGESDefs/IGESDefs_AssociativityDef.cxx Diff File
mod - src/IGESDefs/IGESDefs_AssociativityDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_AttributeDef.cxx Diff File
mod - src/IGESDefs/IGESDefs_AttributeDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_AttributeTable.cxx Diff File
mod - src/IGESDefs/IGESDefs_AttributeTable.hxx Diff File
mod - src/IGESDefs/IGESDefs_GeneralModule.cxx Diff File
mod - src/IGESDefs/IGESDefs_GeneralModule.hxx Diff File
mod - src/IGESDefs/IGESDefs_GenericData.cxx Diff File
mod - src/IGESDefs/IGESDefs_GenericData.hxx Diff File
mod - src/IGESDefs/IGESDefs_HArray1OfTabularData.hxx Diff File
mod - src/IGESDefs/IGESDefs_MacroDef.cxx Diff File
mod - src/IGESDefs/IGESDefs_MacroDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_Protocol.hxx Diff File
mod - src/IGESDefs/IGESDefs_ReadWriteModule.cxx Diff File
mod - src/IGESDefs/IGESDefs_SpecificModule.cxx Diff File
mod - src/IGESDefs/IGESDefs_TabularData.cxx Diff File
mod - src/IGESDefs/IGESDefs_TabularData.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolAssociativityDef.cxx Diff File
mod - src/IGESDefs/IGESDefs_ToolAttributeDef.cxx Diff File
mod - src/IGESDefs/IGESDefs_ToolAttributeTable.cxx Diff File
mod - src/IGESDefs/IGESDefs_ToolGenericData.cxx Diff File
mod - src/IGESDefs/IGESDefs_ToolMacroDef.cxx Diff File
mod - src/IGESDefs/IGESDefs_ToolTabularData.cxx Diff File
mod - src/IGESDefs/IGESDefs_ToolUnitsData.cxx Diff File
mod - src/IGESDefs/IGESDefs_UnitsData.cxx Diff File
mod - src/IGESDefs/IGESDefs_UnitsData.hxx Diff File
mod - src/IGESDimen/IGESDimen_AngularDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_CenterLine.cxx Diff File
mod - src/IGESDimen/IGESDimen_CenterLine.hxx Diff File
mod - src/IGESDimen/IGESDimen_CurveDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_CurveDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_DiameterDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionDisplayData.cxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionDisplayData.hxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionedGeometry.cxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionTolerance.hxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionUnits.hxx Diff File
mod - src/IGESDimen/IGESDimen_FlagNote.cxx Diff File
mod - src/IGESDimen/IGESDimen_FlagNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralLabel.cxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralLabel.hxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralModule.cxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralModule.hxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralSymbol.cxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralSymbol.hxx Diff File
mod - src/IGESDimen/IGESDimen_HArray1OfGeneralNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_HArray1OfLeaderArrow.hxx Diff File
mod - src/IGESDimen/IGESDimen_LeaderArrow.hxx Diff File
mod - src/IGESDimen/IGESDimen_LinearDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_NewDimensionedGeometry.cxx Diff File
mod - src/IGESDimen/IGESDimen_NewDimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_NewGeneralNote.cxx Diff File
mod - src/IGESDimen/IGESDimen_NewGeneralNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_OrdinateDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_PointDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_Protocol.hxx Diff File
mod - src/IGESDimen/IGESDimen_RadiusDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ReadWriteModule.cxx Diff File
mod - src/IGESDimen/IGESDimen_Section.hxx Diff File
mod - src/IGESDimen/IGESDimen_SectionedArea.cxx Diff File
mod - src/IGESDimen/IGESDimen_SectionedArea.hxx Diff File
mod - src/IGESDimen/IGESDimen_SpecificModule.cxx Diff File
mod - src/IGESDimen/IGESDimen_SpecificModule.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolAngularDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolBasicDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolBasicDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolCenterLine.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolCenterLine.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolCurveDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDiameterDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionDisplayData.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionDisplayData.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionedGeometry.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionTolerance.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionTolerance.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionUnits.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionUnits.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolFlagNote.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolGeneralLabel.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolGeneralNote.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolGeneralSymbol.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolLeaderArrow.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolLinearDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolNewDimensionedGeometry.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolNewDimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolNewGeneralNote.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolOrdinateDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolPointDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolRadiusDimension.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolSection.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolSection.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolSectionedArea.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolWitnessLine.cxx Diff File
mod - src/IGESDimen/IGESDimen_ToolWitnessLine.hxx Diff File
mod - src/IGESDimen/IGESDimen_WitnessLine.cxx Diff File
mod - src/IGESDimen/IGESDimen_WitnessLine.hxx Diff File
mod - src/IGESDraw/IGESDraw_CircArraySubfigure.cxx Diff File
mod - src/IGESDraw/IGESDraw_CircArraySubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_ConnectPoint.cxx Diff File
mod - src/IGESDraw/IGESDraw_ConnectPoint.hxx Diff File
mod - src/IGESDraw/IGESDraw_Drawing.cxx Diff File
mod - src/IGESDraw/IGESDraw_Drawing.hxx Diff File
mod - src/IGESDraw/IGESDraw_DrawingWithRotation.cxx Diff File
mod - src/IGESDraw/IGESDraw_DrawingWithRotation.hxx Diff File
mod - src/IGESDraw/IGESDraw_GeneralModule.cxx Diff File
mod - src/IGESDraw/IGESDraw_GeneralModule.hxx Diff File
mod - src/IGESDraw/IGESDraw_HArray1OfConnectPoint.hxx Diff File
mod - src/IGESDraw/IGESDraw_HArray1OfViewKindEntity.hxx Diff File
mod - src/IGESDraw/IGESDraw_LabelDisplay.cxx Diff File
mod - src/IGESDraw/IGESDraw_NetworkSubfigure.cxx Diff File
mod - src/IGESDraw/IGESDraw_NetworkSubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_NetworkSubfigureDef.cxx Diff File
mod - src/IGESDraw/IGESDraw_NetworkSubfigureDef.hxx Diff File
mod - src/IGESDraw/IGESDraw_PerspectiveView.cxx Diff File
mod - src/IGESDraw/IGESDraw_PerspectiveView.hxx Diff File
mod - src/IGESDraw/IGESDraw_Planar.cxx Diff File
mod - src/IGESDraw/IGESDraw_Planar.hxx Diff File
mod - src/IGESDraw/IGESDraw_Protocol.cxx Diff File
mod - src/IGESDraw/IGESDraw_Protocol.hxx Diff File
mod - src/IGESDraw/IGESDraw_ReadWriteModule.cxx Diff File
mod - src/IGESDraw/IGESDraw_RectArraySubfigure.cxx Diff File
mod - src/IGESDraw/IGESDraw_RectArraySubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_SegmentedViewsVisible.cxx Diff File
mod - src/IGESDraw/IGESDraw_SegmentedViewsVisible.hxx Diff File
mod - src/IGESDraw/IGESDraw_SpecificModule.cxx Diff File
mod - src/IGESDraw/IGESDraw_SpecificModule.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolCircArraySubfigure.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolConnectPoint.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolDrawing.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolDrawing.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolDrawingWithRotation.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolDrawingWithRotation.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolLabelDisplay.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigure.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigureDef.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolPerspectiveView.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolPlanar.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolPlanar.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolRectArraySubfigure.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolSegmentedViewsVisible.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolView.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolViewsVisible.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolViewsVisible.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolViewsVisibleWithAttr.cxx Diff File
mod - src/IGESDraw/IGESDraw_ToolViewsVisibleWithAttr.hxx Diff File
mod - src/IGESDraw/IGESDraw_View.cxx Diff File
mod - src/IGESDraw/IGESDraw_View.hxx Diff File
mod - src/IGESDraw/IGESDraw_ViewsVisible.cxx Diff File
mod - src/IGESDraw/IGESDraw_ViewsVisible.hxx Diff File
mod - src/IGESDraw/IGESDraw_ViewsVisibleWithAttr.cxx Diff File
mod - src/IGESDraw/IGESDraw_ViewsVisibleWithAttr.hxx Diff File
mod - src/IGESFile/IGESFile_Read.cxx Diff File
mod - src/IGESGeom/IGESGeom_Boundary.cxx Diff File
mod - src/IGESGeom/IGESGeom_BoundedSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_BoundedSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_BSplineCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_BSplineSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_CircularArc.hxx Diff File
mod - src/IGESGeom/IGESGeom_CompositeCurve.cxx Diff File
mod - src/IGESGeom/IGESGeom_CompositeCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_ConicArc.cxx Diff File
mod - src/IGESGeom/IGESGeom_ConicArc.hxx Diff File
mod - src/IGESGeom/IGESGeom_CopiousData.cxx Diff File
mod - src/IGESGeom/IGESGeom_CopiousData.hxx Diff File
mod - src/IGESGeom/IGESGeom_CurveOnSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_CurveOnSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_Flash.cxx Diff File
mod - src/IGESGeom/IGESGeom_Flash.hxx Diff File
mod - src/IGESGeom/IGESGeom_GeneralModule.cxx Diff File
mod - src/IGESGeom/IGESGeom_GeneralModule.hxx Diff File
mod - src/IGESGeom/IGESGeom_HArray1OfBoundary.hxx Diff File
mod - src/IGESGeom/IGESGeom_HArray1OfCurveOnSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_HArray1OfTransformationMatrix.hxx Diff File
mod - src/IGESGeom/IGESGeom_OffsetCurve.cxx Diff File
mod - src/IGESGeom/IGESGeom_OffsetCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_OffsetSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_OffsetSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_Plane.cxx Diff File
mod - src/IGESGeom/IGESGeom_Plane.hxx Diff File
mod - src/IGESGeom/IGESGeom_Point.hxx Diff File
mod - src/IGESGeom/IGESGeom_Protocol.cxx Diff File
mod - src/IGESGeom/IGESGeom_Protocol.hxx Diff File
mod - src/IGESGeom/IGESGeom_ReadWriteModule.cxx Diff File
mod - src/IGESGeom/IGESGeom_RuledSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_RuledSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_SpecificModule.cxx Diff File
mod - src/IGESGeom/IGESGeom_SpecificModule.hxx Diff File
mod - src/IGESGeom/IGESGeom_SplineCurve.cxx Diff File
mod - src/IGESGeom/IGESGeom_SplineCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_SplineSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_SplineSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_SurfaceOfRevolution.cxx Diff File
mod - src/IGESGeom/IGESGeom_SurfaceOfRevolution.hxx Diff File
mod - src/IGESGeom/IGESGeom_TabulatedCylinder.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBoundary.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBoundary.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBoundedSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBSplineCurve.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBSplineSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCircularArc.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCompositeCurve.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolConicArc.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolConicArc.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCopiousData.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCurveOnSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCurveOnSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolDirection.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolFlash.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolFlash.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolLine.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolOffsetCurve.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolOffsetCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolOffsetSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolPlane.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolPoint.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolRuledSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolSplineCurve.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolSplineSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolSurfaceOfRevolution.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolTabulatedCylinder.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolTransformationMatrix.cxx Diff File
mod - src/IGESGeom/IGESGeom_ToolTransformationMatrix.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolTrimmedSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_TransformationMatrix.hxx Diff File
mod - src/IGESGeom/IGESGeom_TrimmedSurface.cxx Diff File
mod - src/IGESGeom/IGESGeom_TrimmedSurface.hxx Diff File
mod - src/IGESGraph/IGESGraph_Color.hxx Diff File
mod - src/IGESGraph/IGESGraph_DefinitionLevel.cxx Diff File
mod - src/IGESGraph/IGESGraph_DefinitionLevel.hxx Diff File
mod - src/IGESGraph/IGESGraph_DrawingSize.hxx Diff File
mod - src/IGESGraph/IGESGraph_DrawingUnits.hxx Diff File
mod - src/IGESGraph/IGESGraph_GeneralModule.cxx Diff File
mod - src/IGESGraph/IGESGraph_GeneralModule.hxx Diff File
mod - src/IGESGraph/IGESGraph_HArray1OfColor.hxx Diff File
mod - src/IGESGraph/IGESGraph_HArray1OfTextDisplayTemplate.hxx Diff File
mod - src/IGESGraph/IGESGraph_HArray1OfTextFontDef.hxx Diff File
mod - src/IGESGraph/IGESGraph_HighLight.hxx Diff File
mod - src/IGESGraph/IGESGraph_IntercharacterSpacing.hxx Diff File
mod - src/IGESGraph/IGESGraph_LineFontDefPattern.cxx Diff File
mod - src/IGESGraph/IGESGraph_LineFontDefPattern.hxx Diff File
mod - src/IGESGraph/IGESGraph_LineFontDefTemplate.hxx Diff File
mod - src/IGESGraph/IGESGraph_LineFontPredefined.hxx Diff File
mod - src/IGESGraph/IGESGraph_NominalSize.hxx Diff File
mod - src/IGESGraph/IGESGraph_Pick.hxx Diff File
mod - src/IGESGraph/IGESGraph_Protocol.hxx Diff File
mod - src/IGESGraph/IGESGraph_ReadWriteModule.cxx Diff File
mod - src/IGESGraph/IGESGraph_SpecificModule.cxx Diff File
mod - src/IGESGraph/IGESGraph_SpecificModule.hxx Diff File
mod - src/IGESGraph/IGESGraph_TextDisplayTemplate.hxx Diff File
mod - src/IGESGraph/IGESGraph_TextFontDef.cxx Diff File
mod - src/IGESGraph/IGESGraph_TextFontDef.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolColor.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDefinitionLevel.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDrawingSize.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDrawingSize.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolHighLight.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolHighLight.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolIntercharacterSpacing.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolIntercharacterSpacing.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolLineFontDefPattern.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolLineFontDefTemplate.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolLineFontPredefined.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolLineFontPredefined.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolNominalSize.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolNominalSize.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolPick.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolPick.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolTextDisplayTemplate.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolTextFontDef.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolUniformRectGrid.cxx Diff File
mod - src/IGESGraph/IGESGraph_ToolUniformRectGrid.hxx Diff File
mod - src/IGESGraph/IGESGraph_UniformRectGrid.hxx Diff File
mod - src/IGESSelect/IGESSelect_Activator.cxx Diff File
mod - src/IGESSelect/IGESSelect_Activator.hxx Diff File
mod - src/IGESSelect/IGESSelect_AddFileComment.hxx Diff File
mod - src/IGESSelect/IGESSelect_ChangeLevelList.cxx Diff File
mod - src/IGESSelect/IGESSelect_ChangeLevelList.hxx Diff File
mod - src/IGESSelect/IGESSelect_ChangeLevelNumber.cxx Diff File
mod - src/IGESSelect/IGESSelect_ChangeLevelNumber.hxx Diff File
mod - src/IGESSelect/IGESSelect_DispPerDrawing.hxx Diff File
mod - src/IGESSelect/IGESSelect_DispPerSingleView.hxx Diff File
mod - src/IGESSelect/IGESSelect_Dumper.hxx Diff File
mod - src/IGESSelect/IGESSelect_EditDirPart.hxx Diff File
mod - src/IGESSelect/IGESSelect_EditHeader.cxx Diff File
mod - src/IGESSelect/IGESSelect_EditHeader.hxx Diff File
mod - src/IGESSelect/IGESSelect_FloatFormat.hxx Diff File
mod - src/IGESSelect/IGESSelect_IGESTypeForm.cxx Diff File
mod - src/IGESSelect/IGESSelect_IGESTypeForm.hxx Diff File
mod - src/IGESSelect/IGESSelect_ModelModifier.hxx Diff File
mod - src/IGESSelect/IGESSelect_RebuildDrawings.cxx Diff File
mod - src/IGESSelect/IGESSelect_RebuildGroups.cxx Diff File
mod - src/IGESSelect/IGESSelect_RemoveCurves.cxx Diff File
mod - src/IGESSelect/IGESSelect_RemoveCurves.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBasicGeom.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBasicGeom.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBypassGroup.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBypassGroup.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBypassSubfigure.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBypassSubfigure.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectDrawingFrom.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectDrawingFrom.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectFaces.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectFromDrawing.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectFromSingleView.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectLevelNumber.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectLevelNumber.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectName.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectPCurves.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectPCurves.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectSingleViewFrom.cxx Diff File
mod - src/IGESSelect/IGESSelect_SelectSingleViewFrom.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectSubordinate.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectVisibleStatus.hxx Diff File
mod - src/IGESSelect/IGESSelect_SetGlobalParameter.cxx Diff File
mod - src/IGESSelect/IGESSelect_SetLabel.hxx Diff File
mod - src/IGESSelect/IGESSelect_SetVersion5.cxx Diff File
mod - src/IGESSelect/IGESSelect_SignColor.cxx Diff File
mod - src/IGESSelect/IGESSelect_SignLevelNumber.cxx Diff File
mod - src/IGESSelect/IGESSelect_SignLevelNumber.hxx Diff File
mod - src/IGESSelect/IGESSelect_SignStatus.hxx Diff File
mod - src/IGESSelect/IGESSelect_SplineToBSpline.cxx Diff File
mod - src/IGESSelect/IGESSelect_SplineToBSpline.hxx Diff File
mod - src/IGESSelect/IGESSelect_UpdateCreationDate.cxx Diff File
mod - src/IGESSelect/IGESSelect_UpdateFileName.cxx Diff File
mod - src/IGESSelect/IGESSelect_UpdateLastChange.cxx Diff File
mod - src/IGESSelect/IGESSelect_ViewSorter.cxx Diff File
mod - src/IGESSelect/IGESSelect_ViewSorter.hxx Diff File
mod - src/IGESSelect/IGESSelect_WorkLibrary.cxx Diff File
mod - src/IGESSelect/IGESSelect_WorkLibrary.hxx Diff File
mod - src/IGESSolid/IGESSolid_Block.cxx Diff File
mod - src/IGESSolid/IGESSolid_Block.hxx Diff File
mod - src/IGESSolid/IGESSolid_BooleanTree.cxx Diff File
mod - src/IGESSolid/IGESSolid_BooleanTree.hxx Diff File
mod - src/IGESSolid/IGESSolid_ConeFrustum.cxx Diff File
mod - src/IGESSolid/IGESSolid_ConeFrustum.hxx Diff File
mod - src/IGESSolid/IGESSolid_ConicalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_Cylinder.cxx Diff File
mod - src/IGESSolid/IGESSolid_Cylinder.hxx Diff File
mod - src/IGESSolid/IGESSolid_CylindricalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_EdgeList.cxx Diff File
mod - src/IGESSolid/IGESSolid_EdgeList.hxx Diff File
mod - src/IGESSolid/IGESSolid_Ellipsoid.cxx Diff File
mod - src/IGESSolid/IGESSolid_Ellipsoid.hxx Diff File
mod - src/IGESSolid/IGESSolid_Face.cxx Diff File
mod - src/IGESSolid/IGESSolid_Face.hxx Diff File
mod - src/IGESSolid/IGESSolid_GeneralModule.cxx Diff File
mod - src/IGESSolid/IGESSolid_GeneralModule.hxx Diff File
mod - src/IGESSolid/IGESSolid_HArray1OfFace.hxx Diff File
mod - src/IGESSolid/IGESSolid_HArray1OfLoop.hxx Diff File
mod - src/IGESSolid/IGESSolid_HArray1OfShell.hxx Diff File
mod - src/IGESSolid/IGESSolid_HArray1OfVertexList.hxx Diff File
mod - src/IGESSolid/IGESSolid_Loop.cxx Diff File
mod - src/IGESSolid/IGESSolid_Loop.hxx Diff File
mod - src/IGESSolid/IGESSolid_ManifoldSolid.cxx Diff File
mod - src/IGESSolid/IGESSolid_ManifoldSolid.hxx Diff File
mod - src/IGESSolid/IGESSolid_PlaneSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_Protocol.cxx Diff File
mod - src/IGESSolid/IGESSolid_Protocol.hxx Diff File
mod - src/IGESSolid/IGESSolid_ReadWriteModule.cxx Diff File
mod - src/IGESSolid/IGESSolid_RightAngularWedge.cxx Diff File
mod - src/IGESSolid/IGESSolid_RightAngularWedge.hxx Diff File
mod - src/IGESSolid/IGESSolid_Shell.cxx Diff File
mod - src/IGESSolid/IGESSolid_Shell.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidAssembly.cxx Diff File
mod - src/IGESSolid/IGESSolid_SolidAssembly.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidInstance.cxx Diff File
mod - src/IGESSolid/IGESSolid_SolidInstance.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidOfLinearExtrusion.cxx Diff File
mod - src/IGESSolid/IGESSolid_SolidOfLinearExtrusion.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidOfRevolution.cxx Diff File
mod - src/IGESSolid/IGESSolid_SolidOfRevolution.hxx Diff File
mod - src/IGESSolid/IGESSolid_SpecificModule.cxx Diff File
mod - src/IGESSolid/IGESSolid_Sphere.hxx Diff File
mod - src/IGESSolid/IGESSolid_SphericalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolBlock.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolBooleanTree.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolConeFrustum.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolConicalSurface.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolCylinder.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolCylindricalSurface.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolEdgeList.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolEllipsoid.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolFace.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolLoop.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolManifoldSolid.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolPlaneSurface.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolRightAngularWedge.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSelectedComponent.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolShell.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidAssembly.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidInstance.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidOfLinearExtrusion.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidOfRevolution.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSphere.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSphericalSurface.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolToroidalSurface.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolTorus.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToolVertexList.cxx Diff File
mod - src/IGESSolid/IGESSolid_TopoBuilder.cxx Diff File
mod - src/IGESSolid/IGESSolid_ToroidalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_Torus.cxx Diff File
mod - src/IGESSolid/IGESSolid_Torus.hxx Diff File
mod - src/IGESSolid/IGESSolid_VertexList.cxx Diff File
mod - src/IGESToBRep/IGESToBRep.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_Actor.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_Actor.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_BasicCurve.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_BasicCurve.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_BasicSurface.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_BasicSurface.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_BRepEntity.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_BRepEntity.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_CurveAndSurface.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_IGESBoundary.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_IGESBoundary.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_Reader.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_Reader.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_TopoCurve.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_TopoCurve.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_TopoSurface.hxx Diff File

Issue History

Date Modified Username Field Change
2022-05-04 19:05 aml New Issue
2022-05-04 19:05 aml Assigned To => aml
2022-05-04 19:06 git Note Added: 0108326
2022-05-04 19:08 aml Relationship added child of 0032741
2022-05-05 06:30 aml Assigned To aml => kgv
2022-05-05 06:30 aml Status new => resolved
2022-05-05 06:30 aml Steps to Reproduce Updated
2022-05-05 06:30 aml Note Added: 0108331
2022-05-05 09:45 kgv Assigned To kgv => bugmaster
2022-05-05 09:45 kgv Severity minor => integration request
2022-05-05 09:45 kgv Status resolved => reviewed
2022-05-08 13:54 bugmaster Status reviewed => tested
2022-05-08 16:15 smoskvin Changeset attached => occt master d2c11b79
2022-05-08 16:15 aml Assigned To bugmaster => aml
2022-05-08 16:15 aml Status tested => verified
2022-05-08 16:15 aml Resolution open => fixed
2022-05-08 16:17 git Note Added: 0108386